"""Spectral lines produced by DKIST instruments."""
from dkist_spectral_lines.models import DiagnosticSpecies
from dkist_spectral_lines.models import SpectralLine


SPECTRAL_LINES = (
    SpectralLine(
        diagnostic_species=DiagnosticSpecies.CA_II_K,
        rest_wavelength_in_air=393.37,
    ),
    SpectralLine(
        diagnostic_species=DiagnosticSpecies.CA_II_H,
        rest_wavelength_in_air=396.85,
    ),
    SpectralLine(
        diagnostic_species=DiagnosticSpecies.H_EPSILON,
        rest_wavelength_in_air=397,
    ),
    SpectralLine(
        diagnostic_species=DiagnosticSpecies.FE_I,
        rest_wavelength_in_air=404.58,
    ),
    SpectralLine(
        diagnostic_species=DiagnosticSpecies.H_DELTA,
        rest_wavelength_in_air=410.17,
    ),
    SpectralLine(
        diagnostic_species=DiagnosticSpecies.CA_I,
        rest_wavelength_in_air=422.67,
    ),
    SpectralLine(
        diagnostic_species=DiagnosticSpecies.H_GAMMA,
        rest_wavelength_in_air=434.05,
    ),
    SpectralLine(
        diagnostic_species=DiagnosticSpecies.TI_I,
        rest_wavelength_in_air=453.6,
    ),
    SpectralLine(
        diagnostic_species=DiagnosticSpecies.BA_II,
        rest_wavelength_in_air=455.4,
    ),
    SpectralLine(
        diagnostic_species=DiagnosticSpecies.SR_I,
        rest_wavelength_in_air=460.73,
    ),
    SpectralLine(
        diagnostic_species=DiagnosticSpecies.H_BETA,
        rest_wavelength_in_air=486.13,
    ),
    SpectralLine(
        diagnostic_species=DiagnosticSpecies.MG_I_B1,
        rest_wavelength_in_air=517.27,
    ),
    SpectralLine(
        diagnostic_species=DiagnosticSpecies.MG_I_B2,
        rest_wavelength_in_air=518.36,
    ),
    SpectralLine(
        diagnostic_species=DiagnosticSpecies.FE_I,
        rest_wavelength_in_air=525.04,
    ),
    SpectralLine(
        diagnostic_species=DiagnosticSpecies.FE_XIV,
        rest_wavelength_in_air=530.3,
    ),
    SpectralLine(
        diagnostic_species=DiagnosticSpecies.MN_I,
        rest_wavelength_in_air=553.78,
    ),
    SpectralLine(
        diagnostic_species=DiagnosticSpecies.FE_I,
        rest_wavelength_in_air=557.6,
    ),
    SpectralLine(
        diagnostic_species=DiagnosticSpecies.HE_I,
        rest_wavelength_in_air=587.59,
    ),
    SpectralLine(
        diagnostic_species=DiagnosticSpecies.HE_I_D3,
        rest_wavelength_in_air=587.6,
    ),
    SpectralLine(
        diagnostic_species=DiagnosticSpecies.NA_I_D2,
        rest_wavelength_in_air=589,
    ),
    SpectralLine(
        diagnostic_species=DiagnosticSpecies.NA_I_D1,
        rest_wavelength_in_air=589.59,
    ),
    SpectralLine(
        diagnostic_species=DiagnosticSpecies.FE_I,
        rest_wavelength_in_air=617.33,
    ),
    SpectralLine(
        diagnostic_species=DiagnosticSpecies.FE_I,
        rest_wavelength_in_air=630.15,
    ),
    SpectralLine(
        diagnostic_species=DiagnosticSpecies.FE_I,
        rest_wavelength_in_air=630.25,
    ),
    SpectralLine(
        diagnostic_species=DiagnosticSpecies.H_ALPHA,
        rest_wavelength_in_air=656.28,
    ),
    SpectralLine(
        diagnostic_species=DiagnosticSpecies.NI_I,
        rest_wavelength_in_air=676.78,
    ),
    SpectralLine(
        diagnostic_species=DiagnosticSpecies.FE_I,
        rest_wavelength_in_air=709,
    ),
    SpectralLine(
        diagnostic_species=DiagnosticSpecies.CA_I,
        rest_wavelength_in_air=714.82,
    ),
    SpectralLine(
        diagnostic_species=DiagnosticSpecies.FE_I,
        rest_wavelength_in_air=751.15,
    ),
    SpectralLine(
        diagnostic_species=DiagnosticSpecies.K_I,
        rest_wavelength_in_air=769.9,
    ),
    SpectralLine(
        diagnostic_species=DiagnosticSpecies.FE_XI,
        rest_wavelength_in_air=789.2,
    ),
    SpectralLine(
        diagnostic_species=DiagnosticSpecies.NA_I,
        rest_wavelength_in_air=818.33,
    ),
    SpectralLine(
        diagnostic_species=DiagnosticSpecies.NA_I,
        rest_wavelength_in_air=819.48,
    ),
    SpectralLine(
        diagnostic_species=DiagnosticSpecies.CA_II,
        rest_wavelength_in_air=849.81,
    ),
    SpectralLine(
        diagnostic_species=DiagnosticSpecies.CA_II,
        rest_wavelength_in_air=854.21,
    ),
    SpectralLine(
        diagnostic_species=DiagnosticSpecies.CA_II,
        rest_wavelength_in_air=866.22,
    ),
    SpectralLine(
        diagnostic_species=DiagnosticSpecies.MN_I,
        rest_wavelength_in_air=874.1,
    ),
    SpectralLine(
        diagnostic_species=DiagnosticSpecies.FE_XIII,
        rest_wavelength_in_air=1074.7,
    ),
    SpectralLine(
        diagnostic_species=DiagnosticSpecies.FE_XIII,
        rest_wavelength_in_air=1079.8,
    ),
    SpectralLine(
        diagnostic_species=DiagnosticSpecies.HE_I,
        rest_wavelength_in_air=1083,
    ),
    SpectralLine(
        diagnostic_species=DiagnosticSpecies.SI_X,
        rest_wavelength_in_air=1430,
    ),
    SpectralLine(
        diagnostic_species=DiagnosticSpecies.FE_I,
        rest_wavelength_in_air=1565,
    ),
    SpectralLine(
        diagnostic_species=DiagnosticSpecies.SI_IX,
        rest_wavelength_in_air=3934,
    ),
)
